
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIAxles complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIAxles"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="L" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No20" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No21" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No22" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No23" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIAxles", propOrder = {
    "l",
    "no20",
    "no21",
    "no22",
    "no23"
})
public class WSRCIIAxles {

    @XmlElement(name = "L", nillable = true)
    protected String l;
    @XmlElement(name = "No20", nillable = true)
    protected String no20;
    @XmlElement(name = "No21", nillable = true)
    protected String no21;
    @XmlElement(name = "No22", nillable = true)
    protected String no22;
    @XmlElement(name = "No23", nillable = true)
    protected String no23;

    /**
     * Gets the value of the l property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getL() {
        return l;
    }

    /**
     * Sets the value of the l property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setL(String value) {
        this.l = value;
    }

    /**
     * Gets the value of the no20 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo20() {
        return no20;
    }

    /**
     * Sets the value of the no20 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo20(String value) {
        this.no20 = value;
    }

    /**
     * Gets the value of the no21 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo21() {
        return no21;
    }

    /**
     * Sets the value of the no21 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo21(String value) {
        this.no21 = value;
    }

    /**
     * Gets the value of the no22 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo22() {
        return no22;
    }

    /**
     * Sets the value of the no22 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo22(String value) {
        this.no22 = value;
    }

    /**
     * Gets the value of the no23 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo23() {
        return no23;
    }

    /**
     * Sets the value of the no23 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo23(String value) {
        this.no23 = value;
    }

    public WSRCIIAxles withL(String value) {
        setL(value);
        return this;
    }

    public WSRCIIAxles withNo20(String value) {
        setNo20(value);
        return this;
    }

    public WSRCIIAxles withNo21(String value) {
        setNo21(value);
        return this;
    }

    public WSRCIIAxles withNo22(String value) {
        setNo22(value);
        return this;
    }

    public WSRCIIAxles withNo23(String value) {
        setNo23(value);
        return this;
    }

}
